#
# spec file for package kipi-plugins5
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kipi-plugins5
Version:        5.0.0~beta5
Release:        1.1
Source0:        kipi-plugins-%version.tar.xz
BuildRequires:  ImageMagick-devel
BuildRequires:  Mesa-devel
BuildRequires:  bison
BuildRequires:  boost-devel
BuildRequires:  extra-cmake-modules
BuildRequires:  flex
BuildRequires:  graphviz-devel
BuildRequires:  kcalcore-devel
BuildRequires:  kcompletion-devel
BuildRequires:  kconfig-devel
BuildRequires:  kdelibs4support-devel
BuildRequires:  kf5-filesystem
BuildRequires:  khtml-devel
BuildRequires:  kiconthemes-devel
BuildRequires:  kio-devel
BuildRequires:  kparts-devel
BuildRequires:  kwallet-devel
BuildRequires:  kwidgetsaddons-devel
BuildRequires:  libMagick++-devel
BuildRequires:  libX11-devel
BuildRequires:  libgphoto2-devel
BuildRequires:  libkdcraw-devel > 15.12.0
BuildRequires:  libkexiv2-devel > 15.12.0
BuildRequires:  libkface-devel > 15.12.0
BuildRequires:  libkgeomap-devel > 15.12.0
BuildRequires:  libkipi-devel > 15.12.0
BuildRequires:  libtiff-devel
BuildRequires:  marble-devel
BuildRequires:  opencv-qt5-devel
BuildRequires:  phonon4qt5-devel
BuildRequires:  threadweaver-devel
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5OpenGL)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5WebKitWidgets)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5XmlPatterns)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://www.kipi-plugins.org/
Summary:        KDE Plug-Ins for Image Manipulation
License:        BSD-3-Clause and GPL-2.0+ and LGPL-2.1+ and MIT and GPL-3.0+ and LGPL-3.0+
Group:          Productivity/Graphics/Other
Requires:       /usr/bin/jpegtran
Requires:       kipi-plugin-icons
Supplements:    gwenview5
Supplements:    spectacle

%description
A set of plug-ins for the KDE KIPI interface, used by some KDE imaging
applications.

%package -n kipi-plugin-icons
Summary:        Shared icons for the KF5 and KDE4 based kipi-plugin packages
Group:          Productivity/Graphics/Other

%description -n kipi-plugin-icons
This package contains the icons that are common in the kipi-plugin and kipi-plugin5 packages. This would
allow both packages to be co-installed and therefore enhance Gwenview5 and Spectacle


%prep
%setup -q -n kipi-plugins-%version

# Remove build time references so build-compare can do its work
FAKE_BUILDDATE=$(LC_ALL=C date -u -r %{_sourcedir}/%{name}.changes '+%%b %%e %%Y')
sed -i "s/__DATE__/\"$FAKE_BUILDDATE\"/g" common/libkipiplugins/tools/kpversion.h.cmake.in

%build
  %cmake_kf5 -d build
  %make_jobs VERBOSE=1

%install
  %kf5_makeinstall -C build

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%_kf5_plugindir/kipiplugin_*.so
%_kf5_applicationsdir/*.desktop
%_datadir/kipiplugin_*/
%_kf5_servicesdir/kipiplugin_*.desktop
%_datadir/kxmlgui5/kipi/
%_libdir/libKF5kipiplugins.so*

%files -n kipi-plugin-icons
%defattr(-,root,root)
%_kf5_iconsdir/hicolor/*/*/*

%changelog
* Fri Apr 29 2016 lbeltrame@kde.org
- Adjust licenses as shown by legal review
* Sat Apr 23 2016 lbeltrame@kde.org
- Update to 5.0 beta5
  * No upstream changelog provided
* Wed Feb 17 2016 tittiatcoke@gmail.com
- Initial package for the Frameworks version of kipi-plugins.
  The package is created based on git snapshot in order to
  enable plugins for gwenview5 and Spectacle (boo#966939)
